%global name1 qwt
%global name2 %{name1}5

Name:		mingw32-%{name1}
Summary:	MinGW Windows Qwt library
Version:	5.1.1
Release:	6%{?dist}
URL:		http://qwt.sourceforge.net
License:	LGPLv2 with exceptions
Group:          Development/Libraries
Source:		http://downloads.sourceforge.net/%{name1}/%{name1}-%{version}.tar.bz2
Patch0:		qwt-path.patch
BuildRequires:	mingw32-qt
BuildRequires:  mingw32-gcc-c++
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
MinGW Windows Qwt library.


%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw32_findrequires}
%define __find_provides %{_mingw32_findprovides}

%define __strip %{_mingw32_strip}
%define __objdump %{_mingw32_objdump}

%prep
%setup -qn %{name1}-%{version}
%patch0 -p1
sed -i "s\LIBPATH\ $RPM_BUILD_ROOT%{_mingw32_libdir}\1" qwtconfig.pri
sed -i "s\HEADERPATH\ $RPM_BUILD_ROOT%{_mingw32_includedir}/%{name1}\1" qwtconfig.pri
sed -i "s\DOCKPATH\ $RPM_BUILD_ROOT%{_mingw32_docdir}/%{name1}\1" qwtconfig.pri
#sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{_qt4_plugindir}/designer\1" designer/designer.pro
sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{_mingw32_libdir}/qt4/plugins/designer\1" designer/designer.pro
#disable Designer
sed -i "s\CONFIG *+= *QwtDesigner\#CONFIG += QwtDesigner\1" qwtconfig.pri
#disable Examples
sed -i "s\CONFIG *+= *QwtExamples\#CONFIG += QwtExamples\1" qwtconfig.pri
#enable debug and release
sed -i "s\ *CONFIG *+= *release\#CONFIG += release\1" qwtconfig.pri
sed -i "s\ *#CONFIG *+= *debug_and_release\CONFIG += debug_and_release\1" qwtconfig.pri


%build
export QMAKESPEC=fedora-win32-cross
qmake-qt4 -win32 QT_LIBINFIX=4
#parallel build fails sometime so I disable it
make
pushd src
perl -i -pe 's,4d,d4,g' Makefile.Debug
make debug
popd

%install
rm -rf $RPM_BUILD_ROOT
make install
#remove unneeded stuff
rm -rf $RPM_BUILD_ROOT%{_mingw32_docdir}/%{name1}
%{__install} -d $RPM_BUILD_ROOT%{_mingw32_bindir}
%{__mv} $RPM_BUILD_ROOT%{_mingw32_libdir}/%{name2}.dll $RPM_BUILD_ROOT%{_mingw32_bindir}/
%{__cp} lib/%{name1}d5.dll $RPM_BUILD_ROOT%{_mingw32_bindir}/
%{__cp} lib/lib%{name1}d5.a $RPM_BUILD_ROOT%{_mingw32_libdir}/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES
%doc COPYING
%doc README
%{_mingw32_bindir}/%{name2}.dll
%{_mingw32_bindir}/%{name1}d5.dll
%{_mingw32_includedir}/%{name1}
%{_mingw32_libdir}/lib%{name2}.a
%{_mingw32_libdir}/lib%{name1}d5.a

%changelog
* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-6
- actually fix the source line as required by the reviewer
- remove commented out designer files in files section

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-5
- fix missing BR

* Fri Mar 13 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-4
- enable debug build

* Wed Mar 11 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-3
- copied from native qwt

